Module ij
Package ij.gui

# Class ProgressBar

java.lang.Object
java.awt.Component
java.awt.Canvas
ij.gui.ProgressBar

All Implemented Interfaces:
  `ImageObserver`, `MenuContainer`, `Serializable`, `Accessible`

public class ProgressBar extends Canvas
This is the progress bar that is displayed in the lower right hand corner of the ImageJ window. Use one of the static IJ.showProgress() methods to display and update the progress bar.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.awt.Canvas

`Canvas.AccessibleAWTCanvas`

## Nested classes/interfaces inherited from class java.awt.Component

`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`HEIGHT`
`static final int`
`WIDTH`

### Fields inherited from class java.awt.Component

`accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, PROPERTIES, SOMEBITS`

## Constructor Summary

Constructors
Constructor
Description
`ProgressBar(int canvasWidth, int canvasHeight)`
This constructor is called once by ImageJ at startup.

## Method Summary

Modifier and Type
Method
Description
`Dimension`
`getPreferredSize()`
`void`
`init(int canvasWidth, int canvasHeight)`
`void`
`paint(Graphics g)`
`void`
`setBatchMode(boolean batchMode)`
`void`
`show(double progress)`
Updates the progress bar, where abs(progress) should run from 0 to 1.
`void`
`show(double progress, boolean showInBatchMode)`
Updates the progress bar, where abs(progress) should run from 0 to 1.
`void`
`show(int currentIndex, int finalIndex)`
Updates the progress bar, where the length of the bar is set to (`(abs(currentIndex)+1)/abs(finalIndex)` of the maximum bar length.
`void`
`update(Graphics g)`

### Methods inherited from class java.awt.Canvas

`addNotify, createBufferStrategy, createBufferStrategy, getAccessibleContext, getBufferStrategy`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAlignmentX, getAlignmentY, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeys, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusCycleRoot, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, paramString, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, processComponentEvent, processEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeys, setFocusTraversalKeysEnabled, setFont, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setMixingCutoutShape, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### WIDTH

public static final int WIDTH

See Also:
  - Constant Field Values

### HEIGHT

public static final int HEIGHT

See Also:
  - Constant Field Values

## Constructor Details

### ProgressBar

public ProgressBar(int canvasWidth, int canvasHeight)
This constructor is called once by ImageJ at startup.

## Method Details

### init

public void init(int canvasWidth, int canvasHeight)

### show

public void show(double progress)
Updates the progress bar, where abs(progress) should run from 0 to 1. If abs(`progress`) == 1 the bar is erased. The bar is updated only if more than 90 ms have passed since the last call. Does nothing if the ImageJ window is not present.

Parameters:
  `progress` - Length of the progress bar to display (0...1). Using `progress` with negative sign (0 .. -1) will regard subsequent calls with positive argument as sub-ordinate processes that are displayed as moving dot.

### show

public void show(double progress, boolean showInBatchMode)
Updates the progress bar, where abs(progress) should run from 0 to 1.

Parameters:
  `progress` - Length of the progress bar to display (0...1).
  `showInBatchMode` - show progress bar in batch mode macros?

### show

public void show(int currentIndex, int finalIndex)
Updates the progress bar, where the length of the bar is set to (`(abs(currentIndex)+1)/abs(finalIndex)` of the maximum bar length. Use a negative `currentIndex` to show subsequent plugin calls as moving dot. The bar is erased if `currentIndex>=finalIndex-1` or `finalIndex == 0`.

### update

public void update(Graphics g)

Overrides:
  `update` in class `Canvas`

### paint

public void paint(Graphics g)

Overrides:
  `paint` in class `Canvas`

### getPreferredSize

public Dimension getPreferredSize()

Overrides:
  `getPreferredSize` in class `Component`

### setBatchMode

public void setBatchMode(boolean batchMode)